%global scl_name_prefix rh-
%global scl_name_base dotnet
%global scl_name_version 22

%global scl %{scl_name_prefix}%{scl_name_base}%{scl_name_version}
%scl_package %scl

%global nfsmoutnable 1

# For testing this RPM by itself.
%global install_scl 1

# Do not produce empty debuginfo package
%global debug_package %{nil}

Name: %scl_name
Version: 2.2
Release: 2%{?dist}
Summary: Package that installs %scl
License: MIT

BuildRequires:  scl-utils-build
%if 0%{?install_scl}
Requires:       %{scl_prefix}dotnet
%endif

%description
This is the main package for %scl Software Collection.


%package runtime
Summary: Package that handles %scl Software Collection.
Requires: scl-utils

%description runtime
Package shipping essential scripts to work with %scl Software Collection.


%package build
Summary: Package shipping basic build configuration
Requires: scl-utils-build

%description build
Package shipping essential configuration macros to build %scl Software Collection.


%prep
%setup -c -T

%build
# Nothing to do

%install
%scl_install

cat >> %{buildroot}%{_scl_scripts}/enable << EOF
export PATH="%{_bindir}:%{_sbindir}\${PATH:+:\${PATH}}\${HOME:+:\${HOME}/.dotnet/tools}"
export CPATH="%{_includedir}\${CPATH:+:\${CPATH}}"
export LD_LIBRARY_PATH="%{_libdir}\${LD_LIBRARY_PATH:+:\${LD_LIBRARY_PATH}}"
export MANPATH="%{_mandir}:\${MANPATH:-}"
export PKG_CONFIG_PATH="%{_libdir}/pkgconfig\${PKG_CONFIG_PATH:+:\${PKG_CONFIG_PATH}}"
export PYTHONPATH=%{_scl_root}%{python_sitelib}\${PYTHONPATH:+:\${PYTHONPATH}}
export XDG_DATA_DIRS=%{_datadir}:\${XDG_DATA_DIRS:-/usr/local/share:/usr/share}

# Opt out of telemetry collection by default
export DOTNET_CLI_TELEMETRY_OPTOUT=true

# Set the latest versions of ASP.NET Core packages to be picked up when
# building using the older SDKS.
export LatestPatchVersionForAspNetCoreApp2_2=2.2.1
export LatestPatchVersionForAspNetCoreAll2_2=2.2.1
EOF


%files

%files runtime -f filelist
%scl_files

%files build
%{_root_sysconfdir}/rpm/macros.%{scl}-config


%changelog
* Mon Dec 17 2018 Omair Majid <omajid@redhat.com> - 2.2-2
- Export environment variables to set ASP.NET Core versions to 2.2.1
- Resolves: RHBZ#1660223

* Fri Nov 16 2018 Omair Majid <omajid@redhat.com> - 2.2-1
- New spec file based on .NET Core 2.1
- Resolves: RHBZ#1649584
